org.apache.ignite.ml.tree.randomforest.data.statistics

## Class NormalDistributionStatistics

- java.lang.Object
- - org.apache.ignite.ml.tree.randomforest.data.statistics.NormalDistributionStatistics

- All Implemented Interfaces:
    Serializable

      public class NormalDistributionStatistics
      extends Object
      implements Serializable

  Aggregator of normal distribution statistics for continual features.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalDistributionStatistics(double min, double max, double sumOfSquares, double sumOfValues, long n)` Creates an instance of NormalDistributionStatistics.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `max()`
    `double` | `mean()`
    `double` | `min()`
    `NormalDistributionStatistics` | `plus(NormalDistributionStatistics stats)` Returns plus of normal distribution statistics.
    `double` | `std()`
    `double` | `variance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalDistributionStatistics

          public NormalDistributionStatistics(double min,
                                              double max,
                                              double sumOfSquares,
                                              double sumOfValues,
                                              long n)

      Creates an instance of NormalDistributionStatistics.
      Parameters:
        `min` - Min.
        `max` - Max.
        `sumOfSquares` - Sum of squares.
        `sumOfValues` - Sum of values.
        `n` - N.

  - ### Method Detail

    - #### plus

          public NormalDistributionStatistics plus(NormalDistributionStatistics stats)

      Returns plus of normal distribution statistics.
      Parameters:
        `stats` - Stats.
      Returns:
        Plus of normal distribution statistics.

    - #### mean

          public double mean()

      Returns:
        Mean value.

    - #### variance

          public double variance()

      Returns:
        Variance value.

    - #### std

          public double std()

      Returns:
        Standard deviation value.

    - #### min

          public double min()

      Returns:
        Min value.

    - #### max

          public double max()

      Returns:
        Max value.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021